.\" $XFree86: xc/programs/Xserver/hw/xfree86/input/microtouch/microtouch.man,v 1.2 2001/01/27 18:20:58 dawes Exp $ 
.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.TH SERIAL_ITM_TOUCH 4 Version\ 4.4.0 XFree86
.SH NAME
itmtouch \- serial ItmTouch input driver
.SH SYNOPSIS
.nf
.B "Section \*qInputDevice\*q"
.BI "  Identifier \*q" idevname \*q
.B  "  Driver \*qitmtouch\*q"
.BI "  Option \*qDevice\*q   \*q" devpath \*q
.BI "  Option \*qSwapXY\*q   \*q" boolean \*q
.BI "  Option \*qMinX\*q     \*q" integer \*q
.BI "  Option \*qMaxX\*q     \*q" integer \*q
.BI "  Option \*qMinY\*q     \*q" integer \*q
.BI "  Option \*qMaxY\*q     \*q" integer \*q

\ \ ...
.B EndSection
.fi
.SH DESCRIPTION
.B itmtouch 
is an XFree86 input driver for serial ItmTouch devices...
.PP
The
.B itmtouch
driver functions as a pointer input device, and may be used as the
X server's core pointer. The core pointer will work like a mouse with 
2 axis and one only button, emitting motion and button press events.

.SH SUPPORTED HARDWARE
This driver support various touch panel builds on the serial RS232C ITM Inc.
touch panel controller ( analog resistive four wires ).

It have also been reported to work with the usb version of the controller 
( using the linux kernel module 
.B usbserial 
)

This controller is used on a variety of touch panel manufactured by
LG, ADI, ...

.SH CONFIGURATION DETAILS
Please refer to XF86Config(5x) for general configuration
details and for options that can be used with all input drivers.  This
section only covers configuration details specific to this driver.

.BI "  Option \*qSwapXY\*q  \*q" boolean \*q

Set it to true in order to swap the x and y axis. This option can be usefull,
depending on the orientation the touchscreen have been mounted on the screen.
( default is false )

.BI "  Option \*qMinX\*q   \*q" integer \*q

.BI "  Option \*qMaxX\*q   \*q" integer \*q

.BI "  Option \*qMinY\*q   \*q" integer \*q

.BI "  Option \*qMaxY\*q   \*q" integer \*q

Set theese options to the values given by the calibaration tool. This is
important to set them, or it will result in very vague pointer position. 

.SH "SEE ALSO"
XFree86(1), XF86Config(5x), xf86config(1), Xserver(1), X(7).
.SH AUTHORS
Jean-Christophe Duberga
.IR <jeanchristophe.duber@free.fr>
